## indicator-datetime 0.0.2+r11+201003160020omsk1

=== debian/changelog ===
indicator-datetime (0.0.2+r11+201003160020omsk1) lucid; urgency=low

  * debian/patches: added indicator-datetime-remove-calendar.patch to
    fix LP: #527326

 -- Bill Filler <bill.filler@canonical.com>  Fri, 19 Mar 2010 17:05:52 -0400

indicator-datetime (0.0.2+r11+201003160020) lucid; urgency=low

  * Auto build.

 --  <ubuntu.builder@gmail.com>  Tue, 16 Mar 2010 00:21:37 +0000

indicator-datetime (0.0.2-0ubuntu1~ppa1) lucid; urgency=low


  * New upstream release.

    * Making label guess and reasonable width starting out.



 -- Ted Gould <ted@ubuntu.com>  Thu, 04 Mar 2010 12:04:55 -0600

indicator-datetime (0.0.1-0ubuntu1) lucid; urgency=low


  * New upstream release.

  * debian/control:

    - add libdbusmenu-gtk-dev build-dep (/!\ not in configure.ac)



 -- Didier Roche <didrocks@ubuntu.com>  Fri, 26 Feb 2010 10:41:22 +0100

indicator-datetime (0.0.1~r2-0ubuntu3) lucid; urgency=low


  * debian/control: Adding libdbusmenu-gtk as a build dep



 -- Ted Gould <ted@ubuntu.com>  Thu, 18 Feb 2010 10:47:29 -0600

indicator-datetime (0.0.1~r2-0ubuntu2) lucid; urgency=low


  * debian/control:

    - fix build-dep



 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Feb 2010 20:27:22 +0100

indicator-datetime (0.0.1~r2-0ubuntu1) lucid; urgency=low


  * new upstream version



 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Feb 2010 12:10:48 +0100

indicator-datetime (0.0.1~r1-0ubuntu1) lucid; urgency=low


  * Initial packaging



 -- Didier Roche <didrocks@ubuntu.com>  Wed, 27 Jan 2010 12:13:00 +0100
