=== debian/control ===
Source: indicator-datetime
Section: misc
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: cdbs, 
               debhelper (>= 5), 
               pkg-config,
               intltool (>= 0.35.0), 
               libindicator-dev (>= 0.3.0),
               libdbusmenu-glib-dev (>= 0.1.1),
               libdbusmenu-gtk-dev (>= 0.1.1)
Standards-Version: 3.8.3
Homepage: https://launchpad.net/indicator-applet-developers

Package: indicator-datetime
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: A very, very simple clock
 A simple clock appearing in the indicator bar
