=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

install/indicator-datetime::
	find debian/indicator-datetime/usr/lib -name \*.la -exec rm {} \;
	find debian/indicator-datetime/usr/lib -name \*.a -exec rm {} \;

common-binary-post-install-arch:: list-missing
