## indicator-datetime 0.4.0.5-0newyork1

=== debian/changelog ===
indicator-datetime (0.4.0.5-0newyork1) precise; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Removed android account integration.

  [ root ]
  * Auto build.

 -- root <root@ps-clean-precise-i386.defaultdomain>  Wed, 18 Jul 2012 12:09:47 +0000

indicator-datetime (0.4.0.4-0newyork1) precise; urgency=low

  * Uses new signal "SyncSettingsUpdated" to sync calendar accounts. 
  * Updated client to works with new server API.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 28 Jun 2012 14:57:16 -0700

indicator-datetime (0.4.0.3-0newyork1) precise; urgency=low

  * Fixed events menu. (LP: #1017555)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 26 Jun 2012 08:04:32 -0700

indicator-datetime (0.4.0.2-0newyork1) precise; urgency=low

  * Implemented support for "AccountsUpdated" signal.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Fri, 22 Jun 2012 15:50:39 -0700

indicator-datetime (0.4.0.1-0newyork1) precise; urgency=low

  * Implemented android calendar integration.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 21 Jun 2012 11:40:25 -0700

indicator-datetime (0.4.0.0-0newyork1) precise; urgency=low

  * Merged mainline 4.0
  * Removed gtk2 compat package;

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 20 Jun 2012 13:16:12 -0700

indicator-datetime (0.3.94-0ubuntu2newyork2) precise; urgency=low

  * Include the name of the service sub-directory in the D-Bus path,
    and match the interface name. (LP: #974615)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 May 2012 11:47:49 +0200

indicator-datetime (0.3.94-0ubuntu2newyork1) precise; urgency=low

  * NewYork release

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Thu, 19 Apr 2012 16:35:32 -0300

indicator-datetime (0.3.94-0ubuntu2) precise; urgency=low

  * src/datetime-prefs-locations.c, src/datetime-prefs.c
    - Switch the parsing of the lat and long to be non-locale based as it's 
      returned from the webservice in C, we want to parse it using the decimal 
      instead of a comma.  This fixes incorrect timezone selection for users 
      with a locale that uses a comma as a decimal separator  (LP: #773987)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 18 Apr 2012 23:20:30 -0400

indicator-datetime (0.3.94-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix location timezone sorting issue.
    * Clicking the systems settings window shouldn't close the
      Locations dialog. (LP: #947315)
    * Add gcov targets to autotools build for code-coverage reporting.

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 04 Apr 2012 16:53:20 -0500

indicator-datetime (0.3.93-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix g-c-c crash caused by datetime's prefs panel (LP: #942450)
    * Fix several memory leaks in datetime's preferences page (LP: #965533)

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 28 Mar 2012 16:10:35 -0700

indicator-datetime (0.3.92-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix several memory leaks (LP: #772340, LP: #957320)

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 21 Mar 2012 11:22:20 -0500

indicator-datetime (0.3.91-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Make GSettings readonly to fix DConf service starting on boot 
    * Explicitly give types to GVariant Builder
    * Confirm scanf usage for Coverity (LP: #943747)
    * Remove unused code (LP: #943746)
    * Fix timezone ordering in the menu (LP: #833325, LP: #833337)

 -- Ted Gould <ted@ubuntu.com>  Thu, 08 Mar 2012 16:58:28 -0600

indicator-datetime (0.3.90-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Still need to distribute these files even if we're not building it
    * Adding some extra ignore stuff in
    * Adding in code coverage calculation
    * Allow ccpanel to be optional
    * Move to use libtimezone map
    * Add a name hint on the indicator
    * Build fixes for updated dependencies
    * Fixing Geoclue support
  * debian/control:
    * Bumping libdbusmenu requirement to 0.5.90
    * Added dependency on libtimezonemap
  * debian/patches: Removed, all upstream.

 -- Ted Gould <ted@ubuntu.com>  Fri, 17 Feb 2012 16:24:51 -0600

indicator-datetime (0.3.1-0ubuntu5) precise; urgency=low

  * no change rebuild for libindicator7

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 09:54:53 -0500

indicator-datetime (0.3.1-0ubuntu4) precise; urgency=low

  [ Andreas Moog ]
  * Migrate from libpolkit-gtk-1-dev to libpolkit-gobject-1-dev.

  [ Martin Pitt ]
  * Add disable_Werror.patch: Disable -Werror, causes build failures due to
    deprecated symbols.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 23 Jan 2012 13:09:08 +0100

indicator-datetime (0.3.1-0ubuntu3) precise; urgency=low

  * Rebuild for the new e-d-s libraries.
  * debian/patches/gtk_box_api.patch: port gtk_hbox_new() to gtk_box_new() if
    building for GTK3, no change if building against GTK2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 13 Jan 2012 00:03:40 +0100

indicator-datetime (0.3.1-0ubuntu2) precise; urgency=low

  * debian/patches/lp_802384.patch
    - Fixed a NULL check which prevented querying geoclue (LP: #802384)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 28 Oct 2011 11:20:55 -0400

indicator-datetime (0.3.1-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release.
    * Drop an unused icon (LP: #746176)
    * Fix showing a timezone that we're currently set to (LP: #833337)
    * Remove check for libunique as it's unused
  * debian/control: Drop libunique requirements, it was unused

 -- Ted Gould <ted@ubuntu.com>  Thu, 13 Oct 2011 13:40:21 -0500

indicator-datetime (0.3.0-0ubuntu3) oneiric; urgency=low

  * Reupload to oneiric final, the fix is safe and important enough.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Oct 2011 06:50:30 +0200


