=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = build
DEB_MAKE_FLAVORS = gtk3

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp/@FLAVOR@
DEB_DESTDIR = $(CURDIR)/debian/tmp/$(cdbs_make_curflavor)/

DEB_CONFIGURE_FLAGS_gtk3 = --with-gtk=3
DEB_CONFIGURE_EXTRA_FLAGS = --disable-static

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

debian/stamp-autotools/gtk3: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk3)
debian/autoreconf.after:
	./autogen.sh --prefix=/usr
	make distclean
	dh_autoreconf $(DEB_DH_AUTORECONF_ARGS)

common-install-arch::
	find debian/tmp -name \*.la -delete
	find debian/tmp -name \*.a -delete
	cd po; intltool-update --pot --verbose
	# Language packs
	for d in $$(find debian/tmp -type f \( -name "*.desktop" -o -name "*.directory" \) ); do \
		sed -ri '/^(Name|GenericName|Comment|X-GNOME-FullName)\[/d' $$d; \
		echo "X-Ubuntu-Gettext-Domain=indicator-datetime" >> $$d; \
       	done;
