## indicator-datetime 13.10.0+14.10.20141009

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
 ##
 
 find_package (PkgConfig REQUIRED)
+include (CheckIncludeFile)
 include (FindPkgConfig)
 
 pkg_check_modules (SERVICE_DEPS REQUIRED
@@ -37,7 +38,7 @@
                    libical>=0.48
                    libecal-1.2>=3.5
                    libedataserver-1.2>=3.5
-                   libcanberra>=0.12
+                   gstreamer-1.0>=1.2
                    libnotify>=0.7.6
                    url-dispatcher-1>=1
                    properties-cpp>=0.0.1)
