## indicator-datetime 13.10.0+15.04.20150406

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,9 @@
 add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-alarm-properties
                   com.canonical.indicator
                   ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.datetime.AlarmProperties.xml)
+add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-accounts-sound
+                  com.ubuntu.touch
+                  ${CMAKE_SOURCE_DIR}/src/com.ubuntu.touch.AccountsService.Sound.xml)
 
 # add warnings/coverage info on handwritten files
 # but not the autogenerated ones...
