## indicator-datetime 13.10.0+15.10.20150909

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
                    glib-2.0>=2.36
                    gio-unix-2.0>=2.36
                    libical>=0.48
-                   libecal-1.2>=3.5
+                   libecal-1.2>=3.16
                    libedataserver-1.2>=3.5
                    gstreamer-1.0>=1.2
                    libnotify>=0.7.6
