=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -38,15 +38,15 @@
 
 
 add_definitions (-DSANDBOX="${CMAKE_CURRENT_BINARY_DIR}")
-
+add_definitions (-DG_LOG_DOMAIN="Indicator-Datetime")
 
 function(add_test_by_name name)
   set (TEST_NAME ${name})
   add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
   add_test (${TEST_NAME} ${TEST_NAME})
-  add_dependencies (${TEST_NAME} libindicatordatetimeservice)
   target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
 endfunction()
+add_test_by_name(test-datetime)
 add_test_by_name(test-snap)
 add_test_by_name(test-actions)
 add_test_by_name(test-alarm-queue)
@@ -59,13 +59,39 @@
 add_test_by_name(test-menus)
 add_test_by_name(test-planner)
 add_test_by_name(test-settings)
-add_test_by_name(test-timezone-file)
+add_test_by_name(test-timezone-timedated)
 add_test_by_name(test-utils)
 
 set (TEST_NAME manual-test-snap)
 add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
-add_dependencies (${TEST_NAME} libindicatordatetimeservice)
 target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
+
+##
+## EDS Tests
+## 
+
+find_program(DBUS_RUNNER dbus-test-runner)
+
+function(add_eds_ics_test_by_name name)
+  set (TEST_NAME ${name})
+  add_executable(${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
+  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
+  add_test (${TEST_NAME}
+            ${CMAKE_CURRENT_SOURCE_DIR}/run-eds-ics-test.sh
+            ${DBUS_RUNNER}                                         # arg1: dbus-test-runner exec
+            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}               # arg2: test executable path
+            ${TEST_NAME}                                           # arg3: test name
+            ${CMAKE_CURRENT_SOURCE_DIR}/test-eds-ics-config-files  # arg4: base directory for config file template
+            ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_NAME}.ics)          # arg5: the ical file for this test
+endfunction()
+add_eds_ics_test_by_name(test-eds-ics-all-day-events)
+add_eds_ics_test_by_name(test-eds-ics-repeating-events)
+add_eds_ics_test_by_name(test-eds-ics-nonrepeating-events)
+add_eds_ics_test_by_name(test-eds-ics-repeating-valarms)
+add_eds_ics_test_by_name(test-eds-ics-missing-trigger)
+add_eds_ics_test_by_name(test-eds-ics-tzids)
+add_eds_ics_test_by_name(test-eds-ics-tzids-2)
+
 
 # disabling the timezone unit tests because they require
 # https://code.launchpad.net/~ted/dbus-test-runner/multi-interface-test/+merge/199724
@@ -74,7 +100,6 @@
 #  set (TEST_NAME ${name})
 #  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
 #  add_test (${TEST_NAME} ${TEST_NAME})
-#  add_dependencies (${TEST_NAME} libindicatordatetimeservice)
 #  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${DBUSTEST_LIBRARIES} ${GTEST_LIBS})
 #endfunction()
 #add_dbusmock_test_by_name(test-timezone-geoclue)
