## indicator-datetime 15.10%2B17.10.20170829.2

=== CMakeLists.txt ===
find_package(Intltool REQUIRED)

intltool_update_potfile(
    KEYWORDS "_" "_:1,2" "N_" "N_:1,2"
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
    COPYRIGHT_HOLDER "Canonical Ltd."
    FILTER "test/*"
)

intltool_install_translations(
    ALL
    GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
)
