## indicator-datetime 15.10%2B20.04.20200217-0ubuntu1%2B10.0trisquel2

=== debian/changelog ===
indicator-datetime (15.10+20.04.20200217-0ubuntu1+10.0trisquel2) nabia; urgency=medium

  * Add MATE compatibility

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 27 Jun 2021 02:44:25 +0000

indicator-datetime (15.10+20.04.20200217-0ubuntu1) focal; urgency=medium

  * Add support for MATE Time Admin.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 17 Feb 2020 15:37:23 +0100

indicator-datetime (15.10+19.10.20190819.1-0ubuntu1) eoan; urgency=medium

  * engine-eds: Stop accidentally freeing an alarm trigger.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 19 Aug 2019 15:49:15 +0100

indicator-datetime (15.10+19.10.20190819-0ubuntu1) eoan; urgency=medium

  * engine-eds: Port to libecal-2.0. The API changed quite a lot and
    libical-glib is now exposed directly.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 19 Aug 2019 12:53:21 +0100

indicator-datetime (15.10+19.10.20190507-0ubuntu2) eoan; urgency=medium

  * debian/control: 
    - stop recommending geoclue-ubuntu-geoip, it is deprecated and depend
      on an old geoclue version which is being removed from the archive.
      Without it the currently-in-timezone is not going to be listed
      but that's not an essential feature, it can come back when the code
      is ported to the newer api.

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 18 May 2019 08:30:53 +0200

indicator-datetime (15.10+19.10.20190507-0ubuntu1) eoan; urgency=medium

  * Add support for MATE Desktop.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 07 May 2019 11:35:36 +0100

indicator-datetime (15.10+19.04.20190207-0ubuntu1) disco; urgency=medium

  * Rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 07 Feb 2019 11:45:56 +0000

indicator-datetime (15.10+17.10.20170829.2-0ubuntu4) bionic; urgency=medium

  * Add "X-Ubuntu-Use-Langpack: yes" to debian/control now that this package is
    in Universe (LP: #1760435).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 01 Apr 2018 20:11:02 -0500

indicator-datetime (15.10+17.10.20170829.2-0ubuntu3) bionic; urgency=medium

  * No change rebuild for evolution-data-server transition

 -- Tim Lunn <tim@feathertop.org>  Sun, 04 Mar 2018 12:26:43 +1100

indicator-datetime (15.10+17.10.20170829.2-0ubuntu2) bionic; urgency=medium

  * No-change rebuild for libical soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Dec 2017 17:19:06 +0100

indicator-datetime (15.10+17.10.20170829.2-0ubuntu1) artful; urgency=medium

  [ Andrea Azzarone ]
  * Drop the dependency from ubuntu-app-launch.
  * Use 30-jun instaed of 31-jun.

  [ Marco Trevisan (Treviño) ]
  * tests: add fake calendar desktop and icon files so that they can be
    used at testing time

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 29 Aug 2017 15:37:23 +0000

indicator-datetime (15.10+17.10.20170606-0ubuntu1) artful; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop language-pack-touch-en build dependency.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Jun 2017 01:05:07 +0000

indicator-datetime (15.10+17.04.20170322-0ubuntu2) zesty; urgency=medium

  * No-change rebuild (LP: #1681870).

 -- Åukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 11 Apr 2017 17:32:50 +0100

indicator-datetime (15.10+17.04.20170322-0ubuntu1) zesty; urgency=medium

  * no change rebuild

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 22 Mar 2017 18:28:10 +0000

indicator-datetime (15.10+17.04.20170309-0ubuntu1) zesty; urgency=medium

  * Capitalize Settings in indicator menu to match capitalization style

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 09 Mar 2017 16:12:11 +0000

indicator-datetime (15.10+17.04.20170227-0ubuntu1) zesty; urgency=medium

  * Handle UAL API bump

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 27 Feb 2017 14:58:04 +0000

indicator-datetime (15.10+17.04.20170210-0ubuntu1) zesty; urgency=medium

  * Update app name usage to match snaps.
  * Switch to using gmock module from cmake-extras.
  * Use cmake-extras for coverage support and always enable testing.
  * Use cmake-extras intltool module, and keep pot file in vcs.
  * Remove old autostart .desktop files.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Fri, 10 Feb 2017 17:10:07 +0000

indicator-datetime (15.10+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Run inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Rodney Dawes <rodney.dawes@canonical.com>  Thu, 01 Dec 2016 22:34:08 +0000

indicator-datetime (15.10+17.04.20161116.1-0ubuntu1) zesty; urgency=medium

  * UpcomingPlanner: don't get events from the day before of the
    selected one (LP: #1641720, #1641726)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 16 Nov 2016 23:52:50 +0000

indicator-datetime (15.10+17.04.20161104-0ubuntu1) zesty; urgency=medium

  [ Charles Kerr ]
  * Remember the system bus instead of fetching it asynchronously (LP:
    #1588526)

 -- charles.kerr@canonical.com <charles.kerr@canonical.com>  Fri, 04 Nov 2016 16:45:17 +0000

indicator-datetime (15.10+17.04.20161021-0ubuntu1) zesty; urgency=medium

  [ Martin Pitt ]
  * Add a systemd user unit

  [ Ted Gould ]
  * Adding a systemd user unit
  * Use an explicit registry object so that it gets free'd when the
    function exits

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 21 Oct 2016 10:17:05 +0000

indicator-datetime (15.10+16.10.20160820.1-0ubuntu1) yakkety; urgency=medium

  * No change rebuild for UAL ABI change

 -- Ted Gould <ted@gould.cx>  Sat, 20 Aug 2016 21:12:55 +0000

indicator-datetime (15.10+16.10.20160820-0ubuntu1) yakkety; urgency=medium

  * Rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 20 Aug 2016 03:16:45 +0000

indicator-datetime (15.10+16.10.20160707-0ubuntu1) yakkety; urgency=medium

  [ Arthur Mello ]
  * Update indicator-datetime to work with the new notification settings
  * Remove call to keepDisplayOn since that now is handled by Unity

