=== debian/control ===
Source: indicator-datetime
Section: misc
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: cmake,
               cmake-extras (>= 1.1),
               dbus,
               debhelper (>= 9),
               dh-translations,
               gcovr,
               intltool,
               lcov,
               libglib2.0-dev (>= 2.35.4),
               libnotify-dev (>= 0.7.6),
               libgstreamer1.0-dev,
               libecal2.0-dev,
               libical-dev,
               libedataserver1.2-dev (>= 3.5),
               liburl-dispatcher1-dev,
               libproperties-cpp-dev,
# for com.ubuntu.notifications.hub schema to pick up blacklist of apps that can't show notifications
               gsettings-ubuntu-schemas (>= 0.0.7),
# for the test harness:
               googletest | google-mock,
               libdbustest1-dev,
               dbus-test-runner,
               python3-dbusmock,
# for 12h/24h locale unit tests:
               locales,
               language-pack-en-base,
# for running live EDS tests:
               evolution-data-server,
               gvfs-daemons,
# for phone alarm/calendar notification sound tests:
               ubuntu-touch-sounds,
# for query user e-mails based on accounts
               libaccounts-glib-dev,
# messaging menu integration
               libmessaging-menu-dev,
               uuid-dev,
# to locate the place to put systemd files
               systemd,
Standards-Version: 3.9.3
Homepage: https://launchpad.net/indicator-datetime
# If you aren't a member of ~indicator-applet-developers but need to upload
# packaging changes, just go ahead.  ~indicator-applet-developers will notice
# and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~indicator-applet-developers/indicator-datetime/trunk.16.10
Vcs-Browser: https://bazaar.launchpad.net/~indicator-applet-developers/indicator-datetime/trunk.16.10/files
X-Ubuntu-Use-Langpack: yes

Package: indicator-datetime
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-ubuntu-schemas (>= 0.0.7),
         indicator-common,
         systemd,
Recommends: indicator-applet | indicator-renderer,
            evolution-data-server,
            unity-control-center (>= 14.04.3) | gnome-control-center | gnome-system-tools,
            ubuntu-touch-sounds,
Description: Simple clock
 A simple clock appearing in the indicator bar
